﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Configuration;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Chart;

namespace DateTimeAnnotation
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel viewModel = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();

            this.ChartSerieA.Annotations = new AnnotationsCollection();
            this.ChartSerieA.Annotations.Items.Add(new ChartSeriesAnnotation
                                                   {
                                                       X = viewModel.DataModel[3].Year.ToOADate(),
                                                       Y = 22,
                                                       Description = "Syncfusion",
                                                   });
            //Annotation.X = viewModel.DataModel[3].Year.ToOADate();
        }        
    }
    
    public class Model
    {
        public DateTime Year { get; set; }
        public double Count { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            this.DataModel = new ObservableCollection<Model>();

            DateTime date = DateTime.Today;
           
            DataModel.Add(new Model {Year = date.AddHours(1), Count = 10});
            DataModel.Add(new Model {Year = date.AddHours(2), Count = 50});
            DataModel.Add(new Model {Year = date.AddHours(3), Count = 30});
            DataModel.Add(new Model {Year = date.AddHours(4), Count = 40});
            DataModel.Add(new Model {Year = date.AddHours(5), Count = 20});
            DataModel.Add(new Model {Year = date.AddHours(6), Count = 10});
        }
        public ObservableCollection<Model> DataModel { get; set; }
    }
}
